import QtQuick 1.1
import Qt.labs.shaders 1.0
import "./CommonParts"

Rectangle {
    id:root
    width: 720; height: 1280
    anchors.fill: parent
    color:"red"
    Rectangle{id:effectroot
        anchors.fill: parent
        color:"steelblue"
        Image{
            anchors.fill: parent
            source: "images/desaturate.jpg"
        }

        Text{
            color:"white"
            font.pointSize: 90
            text:"screen001"
        }
        Rectangle{
            width: 300; height: 100
            anchors.centerIn: parent
            radius: 20
            color:"white"
            MouseArea{
                anchors.fill: parent
                onClicked: {
                    root.parent.showScreen("screen002.qml")
                }
            }
        }
//        Rectangle{
//            width: 300; height: 100
//            anchors.bottom: parent.bottom
//            anchors.right: parent.right
//            color:"blue"
//            MouseArea{
//                anchors.fill: parent
//                onClicked: {
//                    ldr01.sourceComponent = touch_effect
//                }
//            }
//        }
    }
    Component.onCompleted: {
//        ldr01.sourceComponent = touch_effect
        tm01.start()
    }
    Loader{
        id:ldr01
        anchors.fill: root
    }
    Timer{
        id:tm01
        interval: 500
        onTriggered: {
//            ldr01.sourceComponent = touch_effect
            ldr01.source = "./CommonParts/MyTouchEffect01.qml"
//            ldr01.sourceComponent = touch_effect2
            ldr01.item.sourceItem = effectroot
        }
    }
    Component{
        id:touch_effect2
        MyTouchEffect01{
            sourceItem: effectroot
        }
    }

    Component{
        id:touch_effect
        Item{
            anchors.fill: parent
            ShaderEffectSource {
                id: thesource
//                sourceItem: Image { source: "images/desaturate.jpg" }
                sourceItem: effectroot
                live: false
                hideSource: true
            }

            RadialWaveEffect {
                id: layer
                anchors.fill: parent;
                source: thesource

                wave: 0.0
                waveOriginX: 0.5
                waveOriginY: 0.5
                waveWidth: 0.01

                NumberAnimation on wave {
                    id: waveAnim
                    running: false
//                    loops: Animation.Infinite
                    easing.type: "Linear"
                    from: 0.0000; to: 2.0000;
                    duration: 2500
                }
            }

            MouseArea {
                anchors.fill: parent
                onPressed: {
                    thesource.grab()
                    waveAnim.stop()
                    layer.waveOriginX = mouseX / root.width
                    layer.waveOriginY = mouseY / root.height
                    waveAnim.start()
                    mouse.accepted = false
                }
            }
        }
    }

}
